Public Attributes | List of all members
_ll_gpio_init Struct Reference
Peripheral Driver » LL Driver » GPIO » Structures » GPIO Exported init structures

LL GPIO init configuration definition. More...

`#include <gr55xx_ll_gpio.h>`

## Public Attributes
uint32_t | pin
uint32_t | mode
uint32_t | pull
uint32_t | mux
uint32_t | speed
uint32_t | strength
uint32_t | input_type
uint32_t | trigger

## Detailed Description

LL GPIO init configuration definition.

Definition at line 76 of file gr55xx_ll_gpio.h.

## Member Data Documentation

## ◆ input_type

uint32_t _ll_gpio_init::input_type

Specifies the input type for the selected pins. This parameter can be a value of Input type.

GPIO HW GPIO_Init Struct can be modified afterwards using unitary function ll_gpio_set_pin_input_type().

Definition at line 109 of file gr55xx_ll_gpio.h.

## ◆ mode

uint32_t _ll_gpio_init::mode

Specifies the operating mode for the selected pins. This parameter can be a value of Mode.

GPIO HW GPIO_Init Struct can be modified afterwards using unitary function ll_gpio_set_pin_mode().

Definition at line 81 of file gr55xx_ll_gpio.h.

## ◆ mux

uint32_t _ll_gpio_init::mux

Specifies the Peripheral to be connected to the selected pins. This parameter can be a value of Alternate Function.

GPIO HW GPIO_Init Struct can be modified afterwards using unitary function ll_gpio_set_pin_mux().

Definition at line 91 of file gr55xx_ll_gpio.h.

## ◆ pin

uint32_t _ll_gpio_init::pin

Specifies the GPIO pins to be GPIO_InitStructured. This parameter can be any value of PIN

Definition at line 78 of file gr55xx_ll_gpio.h.

## ◆ pull

uint32_t _ll_gpio_init::pull

Specifies the operating Pull-up/Pull down for the selected pins. This parameter can be a value of Pull Up Pull Down.

GPIO HW configuration can be modified afterwards using unitary function ll_gpio_set_pin_pull().

Definition at line 86 of file gr55xx_ll_gpio.h.

## ◆ speed

uint32_t _ll_gpio_init::speed

Specifies the slew rate for the selected pins. This parameter can be a value of IO Speed.

GPIO HW GPIO_Init Struct can be modified afterwards using unitary function ll_gpio_set_pin_speed().

Definition at line 97 of file gr55xx_ll_gpio.h.

## ◆ strength

uint32_t _ll_gpio_init::strength

Specifies the output drive strength for the selected pins. This parameter can be a value of IO Strength.

GPIO HW GPIO_Init Struct can be modified afterwards using unitary function ll_gpio_set_pin_strength().

Definition at line 103 of file gr55xx_ll_gpio.h.

## ◆ trigger

uint32_t _ll_gpio_init::trigger

Specifies the trigger signal active edge. This parameter can be a value of Interrupt Trigger.

Definition at line 115 of file gr55xx_ll_gpio.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_gpio.h